/*
  exampleFactoryReset
  Factory reset all connected HerkuleX servos thanks to the HerkuleXLib
  (see www.benoitpuel.com/blog/telechargements/) using any Arduino 
  board.

  The board LED is ON when completed.

  This example code is in the public domain.

  modified 18 February 2016
  by Benoit Puel
 */

#include <HkxSetup.h>

void setup() {
  pinMode(13, OUTPUT);
  digitalWrite(13, LOW);
  // set current servo baudrate and the serial port
  hkxBaudrate baudrate = HKX_666666;
  HardwareSerial& serialPort = Serial1;
  // set options for the factory reset
  bool keepID = false; // true = ID is kept, false = ID reset
  bool keepBaudrate = false; // true = baudrate is kept, false = baudrate reset
  
  HkxPrint printout = HkxPrint();  // No printout
  HkxCommunication communication = HkxCommunication(baudrate, serialPort, printout);  // Communication with the servo on Serial1
  HkxSetup setupServos(communication, printout);  // setup the servos

  setupServos.factoryResetAll(keepID, keepBaudrate);
  digitalWrite(13, HIGH);
}

void loop() {
  // put your main code here, to run repeatedly:

}
